Subject: Re: [PATCH v2 2/2] cache-tree: do not generate empty trees as a result of all i-t-a subentries

From: Junio C Hamano <[email-masked]>
Date: Fri, 08 Jul 2016 10:23:35 -0700

Duy Nguyen <[email-masked]> writes:

> I thought about that too, then did a grep which showed empty sha1 tree
> was used elsewhere. And thought of sending a patch to define
> $EMPTY_SHA1 in test-lib-functions.sh or somewhere so we don't hard
> code it everywhere, but I didn't. But yeah ls-tree works. The last
> line could be test_must_be_empty actual (a bit stricter than grep 1)

I am OK if you moved $EMPTY_TREE from t4010 to test-lib.sh, added
$EMPTY_BLOB next to it while at it, and remove their definition from
t1501.

t0000, t1100, t3404, t4054 and t5504 have references to 4b825dc64
that may want to be updated to use $EMPTY_TREE.

t5308, t7011, and t7012 defines HI_SHA1 and NULL_SHA1, which may
want to be updated to use $EMPTY_BLOB.

t/lib-pack.sh has one instance of 69de29bb2d1d that may want to be
updated to use $EMPTY_BLOB.